# InstantiationException Class Reference

Inherits Exception.

List of all members.

## Detailed Description

Thrown when an application tries to create an instance of a class using the newInstance method in class Class, but the specified class object cannot be instantiated because it is an interface or is an abstract class.

## Public Member Functions

| InstantiationException (const LogString &msg)
| InstantiationException (const InstantiationException &msg)
InstantiationException & | operator= (const InstantiationException &msg)

## Constructor & Destructor Documentation

InstantiationException | ( | const LogString & | msg | ) |

InstantiationException | ( | const InstantiationException & | msg | ) |

## Member Function Documentation

InstantiationException& operator= | ( | const InstantiationException & | msg | ) |

The documentation for this class was generated from the following file:

- exception.h